var roman_convs= new Array(
  
  new Array(/x/g, 'l'),
  new Array(/([ksthmyrwgzdbpl])\1/g, '($1|ltu)$1'),
  new Array(/n([^aiueoyn\?])/g, 'nn?$1'),
  
  new Array(/shi/g, 'sh?i'),
  new Array(/sh$/g, 's'),
  new Array(/sh([aueo])/g, '(sh|sil)$1'),
  new Array(/ji/g, '(j|z)i'),
  new Array(/j$/g, '(j|z)'),
  new Array(/j((y)|([aueo]))/g, '(j$2|zily)$3'),
  new Array(/tsu/g, 'ts?u'),
  new Array(/ts$/g, '(ts|tu)'),
  new Array(/ts([aieo])/g, '(ts|tul)$1'),
  new Array(/fu/g, '(f|h)u'),
  new Array(/f$/g, '(f|h)'),
  new Array(/f([aieo])/g, '(f|hul)$1'),
  new Array(/qu/g, '(q|k)u'),
  new Array(/q([aieo])/g, '(q|kul)$1'),
  new Array(/q$/g, '(q|k)'),
  new Array(/whu/g, '(wh)?u'),
  new Array(/wh([aieo])/g, '(wh|ul)$1'),
  new Array(/wh$/g, '(wh|u)'),
  
  new Array(/([ks])w/g, '($1w|$1ul)'),
  new Array(/tw/g, '(tw|tol)'),
  new Array(/qw/g, '(qw|kul)'),
  
  new Array(/v([aieo])/g, '(v|vul)$1'),
  new Array(/w([ie])/g, '(w|ul)$1'),
  new Array(/wu/g, 'w?u'),
  new Array(/w$/g, '(w|u)'),
  
  new Array(/ch([auo])/g, '(c[h]|tily)$1'),
  new Array(/chi/g, '(c[h]i|ti)'),
  new Array(/ch/g, '(c[h]|til)'),
  new Array(/([td])h([auo])/g, '$1(h|ely)$2'),
  new Array(/([td])h/g, '$1(h|el)'),
  new Array(/cy([auo])/g, '(c[y]|tily)$1'),
  new Array(/cy/g, '(cy|til)'),
  new Array(/([ksnhmrgzdbp])y([auo])/g, '$1(y|ily)$2'),
  new Array(/([ksnhmrgzdbp])y/g, '$1(y|il)'),
  
  new Array(/c([auo])/g, '(c|k)$1'),
  new Array(/c([ie])/g, '(c|s)$1'),
  new Array(/c$/g, '(c|k|s)'),
  
  new Array(/y([ie])/g, 'y?$1'),
  
  new Array(/l/g, '[lx]')
);

function roman_convert(str){
  var i;
  for (i= 0; i < roman_convs.length; ++i){
    var exp= roman_convs[i][0];
    var rep= roman_convs[i][1];
    str= str.replace(exp, rep);
  }
  return str;
}
